const int switchPin = 2;     // the number of the pushbutton pin
const int ledPin =  5;      // the number of the LED pin

// variables will change:
int switchState = 0;         // variable for reading the pushbutton status

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);      
  // initialize the pushbutton pin as an input:
  pinMode(switchPin, INPUT);     
}

void loop(){
  // read the state of the pushbutton value:
  switchState = digitalRead(switchPin);

  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if (switchState == HIGH) {     
    // turn LED on:    
    digitalWrite(ledPin, HIGH);  
  } 
  else {
    // turn LED off:
    digitalWrite(ledPin, LOW); 
  }
}
